Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.ListEventStreamsRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.EventStreams.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.list({
from: "from",
take: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/event-streams \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/event-streams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"eventStreams": [
{
"id": "<string>",
"name": "<string>",
"subscriptions": [
{
"event_type": "<string>"
}
],
"destination": {
"type": "webhook",
"configuration": {
"webhook_endpoint": "<string>",
"webhook_authorization": {
"method": "basic",
"username": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}Get event streams
GET
https://{tenantDomain}/api/v2
/
event-streams
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.ListEventStreamsRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.EventStreams.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.list({
from: "from",
take: 1,
});
}
main();承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
必須範囲:
1 <= x <= 100このページは役に立ちましたか?
⌘I